From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libsamplerate/
Date: Tue, 16 May 2017 17:04:20 +0000 (UTC) [thread overview]
Message-ID: <1494954198.562e8b65c3e8572c4c287ebffc1f7810f83fd9da.leio@gentoo> (raw)
commit: 562e8b65c3e8572c4c287ebffc1f7810f83fd9da
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 17:00:14 2017 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Tue May 16 17:03:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=562e8b65
Revert "media-libs/libsamplerate: Cleaning up vulnerable versions for CVE-2017-7697 as per Agostino Sarubbo."
This reverts commit 044005533e2560932dddb0b83c761350867edac3.
This was the only ia64 stable ebuild, breaking deptree by the removal.
media-libs/libsamplerate/Manifest | 1 +
.../libsamplerate/libsamplerate-0.1.8-r1.ebuild | 61 ++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/media-libs/libsamplerate/Manifest b/media-libs/libsamplerate/Manifest
index 0586cef85f0..9c39646573f 100644
--- a/media-libs/libsamplerate/Manifest
+++ b/media-libs/libsamplerate/Manifest
@@ -1 +1,2 @@
+DIST libsamplerate-0.1.8.tar.gz 4303330 SHA256 93b54bdf46d5e6d2354b7034395fe329c222a966790de34520702bb9642f1c06 SHA512 85d93df24d9d62e7803a5d0ac5d268b2085214adcb160e32fac316b12ee8a0ce36ccfb433a3c0a08f6e3ec418a5962bdb84f8a11262286a9b347436983029a7d WHIRLPOOL 5aff2290372570178752fedb5cafe1cb8d30cd8aa0910f8f7a2333d41746ac7a88e5cc7f7228eb8ba60aa2908fad0242214ac3e29346db04cc1e9cc66386eddf
DIST libsamplerate-0.1.9.tar.gz 4336641 SHA256 0a7eb168e2f21353fb6d84da152e4512126f7dc48ccb0be80578c565413444c1 SHA512 78596657963cbf06785e3e6e1190b093df71da52ca340e75bd8246a962cd79dd1c90fa5527c607cebcb296e2c1ee605015278b274e3b768f2f3fbeb0eadfb728 WHIRLPOOL 3591f08cd64f731a8bdd02daabec6b7bc6bcd9f6806bab4f687f3c120481d4cfbcf5fd7752052a6147358b7471549c99d963615bda89b9679b1e091b636e7b8e
diff --git a/media-libs/libsamplerate/libsamplerate-0.1.8-r1.ebuild b/media-libs/libsamplerate/libsamplerate-0.1.8-r1.ebuild
new file mode 100644
index 00000000000..7fb32b20050
--- /dev/null
+++ b/media-libs/libsamplerate/libsamplerate-0.1.8-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
+inherit autotools-multilib
+
+DESCRIPTION="Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for audio"
+HOMEPAGE="http://www.mega-nerd.com/SRC/"
+SRC_URI="http://www.mega-nerd.com/SRC/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="sndfile static-libs"
+
+RDEPEND="sndfile? ( >=media-libs/libsndfile-1.0.2 )
+ abi_x86_32? ( !<=app-emulation/emul-linux-x86-soundlibs-20130224-r6
+ !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog NEWS README )
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-0.1.3-dontbuild-tests-examples.patch"
+ "${FILESDIR}/${P}-lm.patch"
+ )
+
+ AT_M4DIR="M4" \
+ autotools-multilib_src_prepare
+}
+
+src_configure() {
+ my_configure() {
+ local myeconfargs=(
+ --disable-fftw
+ )
+
+ if [ "${ABI}" = "${DEFAULT_ABI}" ] ; then
+ myeconfargs+=( $(use_enable sndfile) )
+ else
+ myeconfargs+=( --disable-sndfile )
+ fi
+
+ autotools-utils_src_configure
+
+ if [ "${ABI}" != "${DEFAULT_ABI}" ] ; then
+ sed -i -e "s/ doc examples//" "${BUILD_DIR}/Makefile" || die
+ fi
+ }
+ multilib_parallel_foreach_abi my_configure
+}
+
+src_install() {
+ autotools-multilib_src_install \
+ htmldocdir="${EPREFIX}/usr/share/doc/${PF}/html"
+}
next reply other threads:[~2017-05-16 17:04 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-16 17:04 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-04-24 1:18 [gentoo-commits] repo/gentoo:master commit in: media-libs/libsamplerate/ Sam James
2022-01-10 12:41 James Le Cuirot
2021-10-09 21:51 Miroslav Šulc
2021-10-09 19:18 Sam James
2021-10-08 18:49 Agostino Sarubbo
2021-10-08 18:48 Agostino Sarubbo
2021-10-07 19:44 Sam James
2021-10-07 6:03 Agostino Sarubbo
2021-10-06 23:06 Sam James
2021-10-06 23:06 Sam James
2021-09-05 12:11 David Seifert
2021-09-05 12:11 David Seifert
2021-07-13 11:21 Marek Szuba
2021-04-19 20:54 Sam James
2021-03-08 10:28 Sam James
2021-03-08 10:28 Sam James
2021-03-08 10:27 Sam James
2021-03-08 10:26 Sam James
2021-03-08 10:25 Sam James
2021-03-08 5:32 Sam James
2021-03-07 23:06 Sam James
2021-01-23 19:19 David Seifert
2021-01-23 19:19 David Seifert
2021-01-22 19:53 David Seifert
2021-01-22 19:53 David Seifert
2020-10-16 8:39 Andreas Sturmlechner
2020-10-15 22:21 Sergei Trofimovich
2020-10-13 10:01 Agostino Sarubbo
2020-10-13 9:26 Agostino Sarubbo
2020-10-12 11:49 Agostino Sarubbo
2020-10-12 11:47 Agostino Sarubbo
2020-10-12 7:00 Agostino Sarubbo
2020-10-12 7:00 Agostino Sarubbo
2020-10-11 15:28 Sam James
2020-10-11 15:23 Sam James
2020-09-04 16:34 Andreas Sturmlechner
2019-03-28 20:03 Mikle Kolyada
2018-04-22 9:27 David Seifert
2017-10-14 19:23 David Seifert
2017-05-23 14:58 Tony Vroon
2017-05-23 13:48 Tony Vroon
2017-05-16 17:04 Mart Raudsepp
2017-05-16 14:30 Tony Vroon
2017-04-08 8:45 Jeroen Roovers
2017-04-04 19:28 Tobias Klausmann
2017-03-31 12:09 Agostino Sarubbo
2017-03-28 15:17 Michael Weber
2016-09-21 12:52 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494954198.562e8b65c3e8572c4c287ebffc1f7810f83fd9da.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox